GCC Bugzilla will be upgraded from version 4.4.9 to 5.0rc3 on Saturday, April 25, starting around 17:00 UTC. The upgrade process should only last a few minutes. Check bug 64968 for details.
Bug 15498 - typo in gcc manual: non-existing locale example en_UK, should be en_GB
typo in gcc manual: non-existing locale example en_UK, should be en_GB
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: c
3.4.0
: P2 minor
: 3.4.3
Assigned To: Not yet assigned to anyone
: documentation
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-17 18:52 UTC by Markus Kuhn
Modified: 2004-09-14 23:32 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2004-08-16 00:14:47


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Kuhn 2004-05-17 18:53:00 UTC
In the gcc-3.4.0 manual on

http://gcc.gnu.org/onlinedocs/gcc-3.4.0/gcc/Environment-Variables.html#Environment%20Variables

under LANG, the sentence

  A typical value is en_UK for English in the United Kingdom.

should be changed to

  A typical value is en_GB for English in the United Kingdom.

or even better

  A typical value is en_GB.UTF-8 for English in the United Kingdom
  encoded in UTF-8.

Note that POSIX standard locale names are based on the ISO 3166-1 alpha-2 codes,
and the code for the United Kingdom is GB, not UK. That is also what glibc uses.
There is no en_UK locale in glibc or any other known C library.

Reference:

http://www.iso.ch/iso/en/prods-services/iso3166ma/02iso-3166-code-lists/list-en1.html
Comment 1 Andrew Pinski 2004-05-17 19:16:04 UTC
Actually UK is reserved:
UK - United Kingdom - reserved on request of the United Kingdom, to prevent any other country from 
using code UK; also used as ccTLD
Comment 2 Andrew Pinski 2004-05-17 19:20:07 UTC
Confirmed.
Comment 3 CVS Commits 2004-09-14 22:30:45 UTC
Subject: Bug 15498

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	jsm28@gcc.gnu.org	2004-09-14 22:30:41

Modified files:
	gcc            : ChangeLog 
	gcc/doc        : invoke.texi 

Log message:
	PR c/15498
	* doc/invoke.texi (Environment Variables): Correct example locale.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.5447&r2=2.5448
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/invoke.texi.diff?cvsroot=gcc&r1=1.534&r2=1.535

Comment 4 CVS Commits 2004-09-14 22:33:16 UTC
Subject: Bug 15498

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	jsm28@gcc.gnu.org	2004-09-14 22:33:09

Modified files:
	gcc            : ChangeLog 
	gcc/doc        : invoke.texi 

Log message:
	PR c/15498
	* doc/invoke.texi (Environment Variables): Correct example locale.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=2.2326.2.622&r2=2.2326.2.623
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/invoke.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.390.2.31&r2=1.390.2.32

Comment 5 Andrew Pinski 2004-09-14 23:32:38 UTC
Fixed.